<?php
if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_1_1_4($object)
{
    /*ACCESS POINT*/
    if (version_compare(_PS_VERSION_, '1.7', '<')) {
        if (!$object->registerHook('extraCarrier')) {
            return false;
        }
    }
    else {

        if (!$object->registerHook('displayCarrierExtraContent')) {
            return false;
        }
    }

    if (!$object->registerHook('actionValidateOrder')) {
        return false;
    }
    /**/

    return true;
}
